%global fontname thai-arundina
%global fontconf 67-%{fontname}
%global archivename thaifonts-arundina-%{version}

%global common_desc \
Arundina fonts were created aiming at Bitstream Vera / Dejavu \
compatibility, under SIPA's initiation.  They were then further \
modified by TLWG for certain aspects, such as Latin glyph size \
compatibility and OpenType conformance.

Name:		%{fontname}-fonts
Version:	0.1.3
Release:	1%{?dist}
Summary:	Thai Arundina fonts

Group:		User Interface/X
License:	Bitstream Vera
URL:		http://linux.thai.net/projects/thaifonts-arundina
Source0:	http://linux.thai.net/pub/thailinux/software/thaifonts-arundina/%{archivename}.tar.gz
Source1:	%{name}-sans-fontconfig.conf
Source2:	%{name}-serif-fontconfig.conf
Source3:	%{name}-sans-mono-fontconfig.conf

BuildArch:	noarch
BuildRequires:	fontforge
BuildRequires:	fontpackages-devel

%description
%common_desc


%package common
Summary:	Common files of the Thai Arundina font set
Requires:	fontpackages-filesystem

%description common
%common_desc


%package -n %{fontname}-sans-fonts
Summary:	Variable-width sans-serif Thai Arundina fonts
Requires:	%{name}-common = %{version}-%{release}

%description -n %{fontname}-sans-fonts
%common_desc

This package consists of the Thai Arundina sans-serif variable-width
font faces.

%_font_pkg -n sans -f %{fontconf}-sans.conf ArundinaSans.ttf ArundinaSans-Bold.ttf ArundinaSans-Oblique.ttf ArundinaSans-BoldOblique.ttf


%package -n %{fontname}-serif-fonts
Summary:	Variable-width serif Thai Arundina fonts
Requires:	%{name}-common = %{version}-%{release}

%description -n %{fontname}-serif-fonts
%common_desc

This package consists of the Thai Arundina serif variable-width
font faces.

%_font_pkg -n serif -f %{fontconf}-serif.conf ArundinaSerif.ttf ArundinaSerif-Bold.ttf


%package -n %{fontname}-sans-mono-fonts
Summary:	Monospace sans-serif Thai Arundina fonts
Requires:	%{name}-common = %{version}-%{release}

%description -n %{fontname}-sans-mono-fonts
%common_desc

This package consists of the Thai Arundina sans-serif monospace font
faces.

%_font_pkg -n sans-mono -f %{fontconf}-sans-mono.conf ArundinaSansMono.ttf ArundinaSansMono-Bold.ttf ArundinaSansMono-Oblique.ttf ArundinaSansMono-BoldOblique.ttf


%prep
%setup -q -n %{archivename}


%build
%configure
make


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p arundina/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
		   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE2} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf
install -m 0644 -p %{SOURCE3} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-mono.conf

for fconf in %{fontconf}-sans.conf \
    %{fontconf}-serif.conf \
    %{fontconf}-sans-mono.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
     %{buildroot}%{_fontconfig_confdir}/$fconf
done


%files common
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS


%changelog
* Mon Nov  7 2011 Daiki Ueno <dueno@redhat.com> - 0.1.3-1
- new upstream release

* Thu Mar 31 2011 Daiki Ueno <dueno@redhat.com> - 0.1.2-2
- add fontconfig files
- remove buildroot cleanup in %%install

* Mon Mar 28 2011 Daiki Ueno <dueno@redhat.com> - 0.1.2-1
- initial packaging for Fedora
